> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Update a provider profile

PATCH https://example.itential.io/model-registry-service/profiles/{id}
Content-Type: application/json

Updates an existing provider profile. Provider cannot change after creation.

Reference: https://docs.itential.com/itential-cloud/api-reference/model-registry-service/update-profile

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `id` (string, required) — The provider profile ID.

### Body (application/json)

This endpoint expects an object.

- `update` (object, optional)
  - `name` (string, optional)
  - `credential` (object or object or object or object or object or object or object or object, optional)
    - object
      - `type` ("openai", required)
      - `apiKey` (string, required)
      - `baseURL` (string, optional)
    - object
      - `type` ("anthropic", required)
      - `apiKey` (string, required)
      - `baseURL` (string, optional)
    - object
      - `type` ("google", required)
      - `apiKey` (string, required)
    - object
      - `type` ("ollama", required)
      - `baseURL` (string, optional)
    - object
      - `type` ("bedrock", required)
      - `config` (object, required)
        - `region` (string, required)
        - `accessKeyId` (string, required)
        - `secretAccessKey` (string, required)
        - `iamRole` (string, optional)
    - object
      - `type` ("bedrock-proxy", required)
      - `config` (object, required)
        - `serviceUrl` (string, required)
        - `tokenUrl` (string, required)
        - `clientId` (string, required)
        - `clientSecret` (string, required)
    - object
      - `type` ("databricks", required)
      - `config` (object, required)
        - `type` ("oauth-m2m", required)
        - `host` (string, required)
        - `clientId` (string, required)
        - `clientSecret` (string, required)
    - object
      - `type` ("gateway-manager", required)
      - `config` (object, required)
        - `clusterId` (string, required)
        - `properties` (object, optional)
        - `backendProvider` ("openai", optional)
        - `credential` (object, optional)
          - `apiKey` (string, required)
          - `baseURL` (string, optional)
  - `models` (list of object, optional)
    - `name` (string, required)
    - `enabled` (boolean, required)
    - `id` (string, optional)
    - `modelVariables` (object, optional)
  - `builderGroups` (list of object, optional)
    - `id` (string, required)
    - `provenance` (string, required)
    - `name` (string, required)

## Response

### 200

The updated provider profile.

- `id` (string, required)
- `name` (string, required)
- `provider` (string, required)
- `credential` (object, required)
  - `type` (enum, required)
    - Allowed values: `api-key`, `oauth-m2m`, `iamRole`, `none`, `managed`
  - `masked` (true, required)
  - `baseUrl` (string, optional)
- `models` (list of object, required)
  - `id` (string, required)
  - `name` (string, required)
  - `enabled` (boolean, required)
  - `status` (enum, required)
    - Allowed values: `active`, `disabled`, `deprecated`
  - `modelVariables` (object, optional)
- `builderGroups` (list of object, required)
  - `id` (string, required)
  - `provenance` (string, required)
  - `name` (string, required)
- `agentCount` (double, required)
- `createdAt` (string, required)
- `updatedAt` (string, required)
- `createdBy` (string, required)
- `updatedBy` (string, required)
- `gatewayCluster` (string, optional)
- `credentialAuthType` (string, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "string",
  "name": "string",
  "provider": "string",
  "credential": {
    "type": "api-key",
    "masked": true,
    "baseUrl": "string"
  },
  "models": [
    {
      "id": "string",
      "name": "string",
      "enabled": true,
      "status": "active",
      "modelVariables": {}
    }
  ],
  "builderGroups": [
    {
      "id": "string",
      "provenance": "string",
      "name": "string"
    }
  ],
  "agentCount": 1.1,
  "createdAt": "string",
  "updatedAt": "string",
  "createdBy": "string",
  "updatedBy": "string",
  "gatewayCluster": "string",
  "credentialAuthType": "string"
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/model-registry-service/profiles/id"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/model-registry-service/profiles/id';
const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/model-registry-service/profiles/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/model-registry-service/profiles/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://example.itential.io/model-registry-service/profiles/id")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://example.itential.io/model-registry-service/profiles/id', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/model-registry-service/profiles/id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/model-registry-service/profiles/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```